#-------------------------------------------------------------------------------
#Lecture et retraitement des données
#-------------------------------------------------------------------------------
t=read.table(paste(dossierData,"/dataINC.csv",sep=""),header=TRUE,sep=";")
#Traitement des dates
t$DateNaissance=as.Date(t$DateNaissance,"%d/%m/%Y")
t$DateEntree=as.Date(t$DateEntree,"%d/%m/%Y")
t$DateSortie=as.Date(t$DateSortie,"%d/%m/%Y")
t$DateSurvenance=as.Date(t$DateSurvenance,"%d/%m/%Y")
#Calcul des âges
t$AgeSurvenance=as.double(difftime(t$DateSurvenance,t$DateNaissance,"","days"))/365.25
#Calcul des anciennetés
t$AncEntree=as.double(difftime(t$DateEntree,t$DateSurvenance,"","days"))
t$AncSortie=as.double(difftime(t$DateSortie,t$DateSurvenance,"","days"))
#indicatrice de non censure
t$non_censure[t$MotifReprise=="1 - En cours"]=0
t$non_censure[t$MotifReprise!="1 - En cours"]=1
#Classes d'âges
t$classeAge[t$AgeSurvenance>=55]="55+"
t$classeAge[t$AgeSurvenance<55]="45-55"
t$classeAge[t$AgeSurvenance<45]="35-45"
t$classeAge[t$AgeSurvenance<35]="-35"
t$classeAge=as.factor(t$classeAge)
t$classeAge = relevel(t$classeAge,"-35")
#recodification du mode de souscription
levels(t$ModeSouscription)=c("CNV","CNV","STD","SPE","STD")
t$ModeSouscription = relevel(t$ModeSouscription,"STD")
#recodification de la CSP
levels(t$CSP)=c("ENSPER","CADRES","ENSPER","ENSPER","ENSPER","ENSPER","NONCAD","ENSPER","ENSPER","ENSPER","CADRES")
t$CSP = relevel(t$CSP,"NONCAD")
#La maternité est assimilée à la maladie (300 dossiers seulement)
t$TypeArret[t$TypeArret=="Maternité"]="Maladie"
t$TypeArret = relevel(t$TypeArret,"Maladie")

t$Sexe = relevel(t$Sexe,"F")
# Indicateur de sélection; si la durée est inférieure à la AncEntree, alors il s'agit d'une anomalie, qu'on éliminera
t=subset(t,(0<=AncEntree)&(AncEntree<AncSortie)&(trunc(AncSortie/365.25*12)<=36),data=t)
#-------------------------------------------------------------------------------
#sélection éventuelle d'un sous-échantillon de manière aléatoire
seuil=runif(nrow(t))
t=subset(t,seuil<tauxEchantillonnage)
#-------------------------------------------------------------------------------
t=supprimeModalitesVides(t)
#-------------------------------------------------------------------------------
#Analyse de l'hétéronégéité
cox = coxph(Surv(AncEntree,AncSortie,non_censure,"counting")~Sexe+CSP+classeAge+TypeArret,data=t)
print(summary(cox))
#cox.zph(cox)
